EhcacheTimestampsRegion (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.internal.regions
Class EhcacheTimestampsRegion

    java.lang.Object
      org.hibernate.cache.ehcache.internal.regions.EhcacheDataRegion
          org.hibernate.cache.ehcache.internal.regions.EhcacheTimestampsRegion

All Implemented Interfaces:
  GeneralDataRegion, Region, TimestampsRegion

    public class EhcacheTimestampsRegion

extends EhcacheDataRegion
implements TimestampsRegion

A timestamps region specific wrapper around an Ehcache instance.

Field Summary

Fields inherited from class org.hibernate.cache.ehcache.internal.regions.EhcacheDataRegion
`accessStrategyFactory, cache`

Constructor Summary
`EhcacheTimestampsRegion(EhcacheAccessStrategyFactory accessStrategyFactory, net.sf.ehcache.Ehcache underlyingCache, Properties properties)` Constructs an EhcacheTimestampsRegion around the given underlying cache.

Method Summary
`void` | `evict(Object key)` Evict an item from the cache immediately (without regard for transaction isolation).
`void` | `evictAll()` Evict all contents of this particular cache region (without regard for transaction isolation).
`Object` | `get(Object key)` Get an item from the cache.
`void` | `put(Object key, Object value)` Put an item into the cache.

Methods inherited from class org.hibernate.cache.ehcache.internal.regions.EhcacheDataRegion
`contains, destroy, getEhcache, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cache.spi.GeneralDataRegion
`evict, evictAll, get, put`

Methods inherited from interface org.hibernate.cache.spi.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Constructor Detail

### EhcacheTimestampsRegion

    public EhcacheTimestampsRegion(EhcacheAccessStrategyFactory accessStrategyFactory,
                                   net.sf.ehcache.Ehcache underlyingCache,
                                   Properties properties)

  Constructs an EhcacheTimestampsRegion around the given underlying cache.

  Parameters:
    `accessStrategyFactory` -

Method Detail

### get

    public Object get(Object key)
               throws CacheException

  Get an item from the cache.

  Specified by:
    `get` in interface `GeneralDataRegion`
  Parameters:
    `key` - The key of the item to be retrieved.
  Returns:
    the cached object or `null`
  Throws:
    `CacheException` - Indicates a problem accessing the item or region.

### put

    public void put(Object key,
                    Object value)
             throws CacheException

  Put an item into the cache.

  Specified by:
    `put` in interface `GeneralDataRegion`
  Parameters:
    `key` - The key under which to cache the item.
    `value` - The item to cache.
  Throws:
    `CacheException` - Indicates a problem accessing the region.

### evict

    public void evict(Object key)
               throws CacheException

  Evict an item from the cache immediately (without regard for transaction isolation).

  Specified by:
    `evict` in interface `GeneralDataRegion`
  Parameters:
    `key` - The key of the item to remove
  Throws:
    `CacheException` - Indicates a problem accessing the item or region.

### evictAll

    public void evictAll()
                  throws CacheException

  Evict all contents of this particular cache region (without regard for transaction isolation).

  Specified by:
    `evictAll` in interface `GeneralDataRegion`
  Throws:
    `CacheException` - Indicates problem accessing the region.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.